# $Revision: 1.14 $, $Date: 2004/04/02 19:59:18 $
Summary:	Netbrake - an utility to limit the bandwidth used by a process
Summary(pl):	Netbrake - narzdzie do ograniczania cza uywanego przez proces
Name:		netbrake
Version:	0.2
Release:	2
# netbrake app contains GPLed antigetopt.c, so it's whole GPLed
License:	GPL (application), BSD-like (libnetbrake)
Group:		Applications/Networking
Source0:	http://www.hping.org/netbrake/%{name}-%{version}.tar.gz
# Source0-md5:	42f61481cdb910bddd1105d48367bdd2
Patch0:		%{name}-make.patch
Patch1:		%{name}-types.patch
URL:		http://www.hping.org/netbrake/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netbrake is an utility to limit the bandwidth used by a process. It
does not require to modify the kernel, nor to be root in order to
work. It is useful when you need to download a very big file from a
fast server to avoid a network congestion that will result in a too
slow web/irc/... experience. I use it mostly to download big files
(like the kernel source code) with wget.

Netbrake also implements a very simple HTTP filesystem extension, so
you can use the standard text utils against some URL.

%description -l pl
Netbrake jest narzdziem do ograniczania przepustowoci cza
uywanego przez proces. Nie wymaga modyfikacji jdra, dziaa na
zwykym koncie, jest uywane gwnie wtedy, gdy chcemy cign due
pliki np. za pomoc wgeta czy lynksa.

Netbrake ma take zaimplementowane proste rozszerzenie systemu
plikw o HTTP, dziki czemu mona uywa standardowych narzdzi
tekstowych na URL-ach.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1

%build
# not autoconf configure
LIBPATH="%{_libdir}" \
./configure

%{__make} \
	CFLAGS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir}}

%{__make} install \
	BINPATH=$RPM_BUILD_ROOT%{_bindir} \
	LIBPATH=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post    -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE THANKS README TODO
%attr(755,root,root) %{_bindir}/netbrake
%attr(755,root,root) %{_libdir}/libnetbrake.so.*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netbrake.spec,v $
Revision 1.14  2004/04/02 19:59:18  qboosh
- updated make patch to use PIC in shared lib; release 2

Revision 1.13  2003/12/06 03:42:43  domelu
- up to 0.2
- cosmetics
- up netbrake-make.patch for version 0.2

Revision 1.12  2003/10/30 10:56:56  qboosh
- cleanups, pl fixes, License change based on notes from package

Revision 1.11  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.10  2003/05/28 12:59:51  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/09/02 12:49:10  qboosh
- fixed build on alpha (types patch), new %%doc, release 2

Revision 1.7  2002/02/27 13:42:41  pioklo
- rename file patch location

Revision 1.6  2002/02/27 03:36:36  kloczek
- pass also CC="%%{__cc}" to make parameters.

Revision 1.5  2002/02/26 12:55:42  pioklo
rename patch file

Revision 1.4  2002/02/26 10:08:29  qboosh
- adapterized, cosmetics
